(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "../../Enums/Modes/ResponsiveMode.js", "../../Utils/Utils.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Responsive = void 0;
    const ResponsiveMode_js_1 = require("../../Enums/Modes/ResponsiveMode.js");
    const Utils_js_1 = require("../../Utils/Utils.js");
    class Responsive {
        constructor() {
            this.maxWidth = Infinity;
            this.options = {};
            this.mode = ResponsiveMode_js_1.ResponsiveMode.canvas;
        }
        load(data) {
            if (!data) {
                return;
            }
            if (data.maxWidth !== undefined) {
                this.maxWidth = data.maxWidth;
            }
            if (data.mode !== undefined) {
                if (data.mode === ResponsiveMode_js_1.ResponsiveMode.screen) {
                    this.mode = ResponsiveMode_js_1.ResponsiveMode.screen;
                }
                else {
                    this.mode = ResponsiveMode_js_1.ResponsiveMode.canvas;
                }
            }
            if (data.options !== undefined) {
                this.options = (0, Utils_js_1.deepExtend)({}, data.options);
            }
        }
    }
    exports.Responsive = Responsive;
});
